.edit-wrapper {
    display: flex;
    flex-flow: column;
    gap: 16px;
    padding: 0 8px;
}

.edit__section {
    width: 100%;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    transition: 0.3s;
    margin-top: 16px;
}

.edit__section-body {
    padding: 16px;
}

.edit__title {
    font-size: 21px;
    font-weight: 600;
    line-height: 26px;
}

.edit__subtitle {
    font-size: 18px;
    line-height: normal;
}

.menu-mobile {
    align-items: stretch;
    transition: transform .2s;
    display: flex;
    overflow-x: hidden;
} 

.menu-mobile__tab-wrapper {
    padding-right: 6px;
}

.menu-mobile__tab {
    position: relative;
    display: flex;
    flex: 1 0 auto;
    min-width: 64px;
    margin: 8px 0;
    border-radius: 10px;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    min-height: 32px;
    padding: 4px 8px;
    text-decoration: none;
    background-color: white;
    border: 0.5px solid transparent;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.04),
                0px 0px 4px rgba(0, 0, 0, 0.06),
                0px -4px 8px rgba(0, 0, 0, 0.04);
}

.menu-mobile__tab.active {
    background-color: rgba(var(--bs-primary-rgb), 0.1); 
}

.menu-desc {
    width: 100%;
}

.menu-desc__tab {
    display: flex;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    padding: 4px 12px;
    box-sizing: border-box;
    height: 36px;
    border-radius: 8px;
    line-height: normal;
    align-items: center;
    border-bottom: 1px solid rgba(204, 214, 228, .6);
}

.menu-desc__tab:hover {
    background-color: #f6f6f9;
}

.menu-desc__tab.active {
    background-color: #f6f6f9;
}

.menu-desc__tab i {
    -webkit-box-flex: 0;
    flex: 0 1 10%;
}

.menu-desc__tab span {
    -webkit-box-flex: 0;
    flex: 0 2 90%;
}

.content-desc-wrapper {
    order: 2;
}

.menu-desc-wrapper {
    order: 1;
}

.content-wrapper {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
}


.edit__avatar {
    width: 150px;
    height: 150px;
    aspect-ratio: 1 / 1;
    object-fit: contain;
    border-radius: 100%;
    background-color: #f6f6f9;
}

.edit__avatar-wrapper {
    width: 150px;
    height: 150px;
    position: relative;
    cursor: pointer;
}

.icon-change-wrapper {
    position: absolute;
    top: 0;
    right: 0;
    width: 40px;
    height: 40px;
    
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    
    background-color: var(--bs-primary);
    border-radius: 100%;
    font-size: 0.9rem;
}

.edit__input-group {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 16px;
}

.image-preview {
    max-width: 300px;
    max-height: 300px;
}

.croppie-actions-wrapper {
    margin-top: 48px;
    position: relative;
    display: flex;
    gap: 16px;
    align-items: center;
}

.signature__info-card {
    display: flex;
    align-items: center;
    gap: 16px;
    width: 100%;
    max-width: 800px;
    padding: 16px;
    position: relative;
    background: var(--bs-secondary);
    border-radius: 16px;
    box-sizing: border-box;
}

.success-card {
    display: flex;
    align-items: center;
    gap: 16px;
    width: 100%;
    max-width: 800px;
    padding: 16px;
    position: relative;
    background: var(--color-success-button-secondary);
    border-radius: 16px;
    box-sizing: border-box;
}

.error-card {
    display: flex;
    align-items: center;
    gap: 16px;
    width: 100%;
    max-width: 800px;
    padding: 16px;
    position: relative;
    background: var(--color-error-button-secondary);
    border-radius: 16px;
    box-sizing: border-box;
}

.warning-card {
    display: flex;
    align-items: center;
    gap: 16px;
    width: 100%;
    max-width: 800px;
    padding: 16px;
    position: relative;
    background: #f6f6f9;
    border-radius: 16px;
    box-sizing: border-box;
}

.warning-card i {
    color: var(--color-error);
}

.signature__image {
    width: 150px;
    height: 150px;
    border: 1px solid #000;
    box-sizing: border-box;
    padding: 8px;
}

.signature__button-width {
    width: 100%;
}

.goods-table__menu-btn:hover {
    background-color: #f6f6f9;
}

.goods-table__menu-icon {
    width: 18.75px;
    height: 18.75px;
}

@media(min-width: 992px) {
    .image-preview {
        max-width: 400px;
        max-height: 400px;
    }
    
    .edit-wrapper {
        flex-flow: row;
        padding: 0;
    } 
    
    .content-wrapper {
        -webkit-box-flex: 0;
        flex: 0 1 80%;
    }
    
    .content-desc-wrapper {
        -webkit-box-flex: 0;
        flex: 0 1 70%;
        order: 1;
    }
    
    .menu-desc-wrapper {
        -webkit-box-flex: 0;
        flex: 0 2 30%;
        order: 2;
    }
    
    .signature__button-width {
        width: auto;
    }
}